<?php
//=========================================================================================\\
// Copyright (C) WTStats.info, All rights reserved.	 http://www.wtstats.info			   \\
//=========================================================================================\\

if(!defined('ATSPHP')) {die('This file cannot be accessed directly.');}

class join extends join_edit {
	function __construct() {
		global $FORM, $LNG, $TMPL, $CONF;
	
		require_once("{$CONF['path']}/sources/misc/recaptchalib.php");
		define('PUBLIC_KEY',  'HERE_COMES_THE_PUBLIC_RECAPTCHA_KEY');
		define('PRIVATE_KEY', 'HERE_COMES_THE_PRIVATE_RECAPTCHA_KEY');
	
		$TMPL['header'] = $LNG['join_header'];

		$TMPL['error_username'] = $TMPL['error_style_username'] = '';
		$TMPL['error_password'] = $TMPL['error_style_password'] = '';
		$TMPL['error_url']      = $TMPL['error_style_url']      = '';
		$TMPL['error_email']    = $TMPL['error_style_email']    = '';
		$TMPL['error_title']    = $TMPL['error_style_title']    = '';
		$TMPL['error_top']      = $TMPL['error_style_top']      = '';
		$TMPL['error_captcha']  = $TMPL['error_style_captcha']  = '';

		if(!isset($FORM['submit'])) {$this->form();}
		else {$this->process();}
	}

	function form() {
		global $CONF, $FORM, $LNG, $TMPL;
		
		$TMPL['recaptcha'] = recaptcha_get_html(PUBLIC_KEY); 	

		$TMPL['categories_menu'] = "<select name=\"category\">\n";
		foreach ($CONF['categories'] as $cat) {
			if (isset($TMPL['category']) && $TMPL['category'] == $cat) {
				$TMPL['categories_menu'] .= "<option value=\"{$cat}\" selected=\"selected\">{$cat}</option>\n";
			} else {
				$TMPL['categories_menu'] .= "<option value=\"{$cat}\">{$cat}</option>\n";
			}
		}
		$TMPL['categories_menu'] .= "</select>";

		if(!isset($TMPL['username']))    { $TMPL['username'] = ''; }
		if(!isset($TMPL['url']))         { $TMPL['url'] = 'http://'; }
		if(!isset($TMPL['title']))       { $TMPL['title'] = ''; }
		if(!isset($TMPL['description'])) { $TMPL['description'] = ''; }
		if(!isset($TMPL['email']))       { $TMPL['email'] = ''; }

		if(isset($TMPL['url']))         { $TMPL['url'] = stripslashes($TMPL['url']); }
		if(isset($TMPL['title']))       { $TMPL['title'] = stripslashes($TMPL['title']); }
		if(isset($TMPL['description'])) { $TMPL['description'] = stripslashes($TMPL['description']); }
		if(isset($TMPL['category']))    { $TMPL['category'] = stripslashes($TMPL['category']); }
		if(isset($TMPL['email']))       { $TMPL['email'] = stripslashes($TMPL['email']); }

		$TMPL['content'] = $this->do_skin('join_form');
	}

	function process() {
		global $CONF, $DB, $FORM, $LNG, $TMPL;

		$TMPL['username']    = $DB->escape($FORM['u'], 1);
		$TMPL['url']         = $DB->escape($FORM['url'], 1);
		$TMPL['short_url']   = $this->short_url($TMPL['url']);
		$TMPL['title']       = $DB->escape($FORM['title'], 1);
		$FORM['description'] = str_replace(array("\r\n", "\n", "\r"), ' ', $FORM['description']);
		$TMPL['description'] = $DB->escape($FORM['description'], 1);
		$TMPL['category']    = $DB->escape($FORM['category'], 1);
		$TMPL['email']       = $DB->escape($FORM['email'], 1);

		$TMPL['title']       = $this->bad_words($TMPL['title']);
		$TMPL['description'] = $this->bad_words($TMPL['description']);

		if ($this->check_ban('join')) {
			if ($this->check_input('join')) {
				$password  = md5($FORM['password']);
				$join_date = date('Y-m-d');

				$DB->query("INSERT INTO {$CONF['sql_prefix']}_sites (username, password, url, short_url, title, description, category, email, join_date, active, user_ip)
							VALUES ('{$TMPL['username']}', '{$password}', '{$TMPL['url']}', '{$TMPL['short_url']}', '{$TMPL['title']}', '{$TMPL['description']}', '{$TMPL['category']}', '{$TMPL['email']}', '{$join_date}', {$CONF['active_default']}, inet_aton('{$_SERVER['REMOTE_ADDR']}'))", __FILE__, __LINE__);
				mysql_query("INSERT INTO traffic_stats () VALUES();");

				$TMPL['link_code']   = $this->do_skin('link_code');
				$LNG['join_welcome'] = sprintf($LNG['join_welcome'], $TMPL['list_name']);

				if ($CONF['email_admin_on_join']) {
					$join_email_admin = new skin('join_email_admin');
					$join_email_admin->send_email($CONF['your_email']);
				}

				if ($CONF['active_default']) {
					$join_email = new skin('join_email');
					$join_email->send_email($TMPL['email']);

					$TMPL['content'] = $this->do_skin('join_finish');
				} else {
					$TMPL['content'] = $this->do_skin('join_finish_approve');
				}
			} else {$this->form();}
		} else {$this->form();}
	}
}
?>
