<?php
//=========================================================================================\\
// Copyright (C) WTStats.info, All rights reserved.	 http://www.wtstats.info			   \\
//=========================================================================================\\

if(!defined('ATSPHP')) {die('This file cannot be accessed directly.');}

class edit extends join_edit {
	function __construct() {
		global $FORM, $LNG, $TMPL;

		$TMPL['header'] = $LNG['edit_header'];

		$TMPL['error_username'] = '';
		$TMPL['error_style_username'] = '';
		$TMPL['error_password'] = '';
		$TMPL['error_style_password'] = '';
		$TMPL['error_url'] = '';
		$TMPL['error_style_url'] = '';
		$TMPL['error_email'] = '';
		$TMPL['error_style_email'] = '';
		$TMPL['error_twitter'] = '';
		$TMPL['error_style_twitter'] = '';
		$TMPL['error_facebook'] = '';
		$TMPL['error_style_facebook'] = '';
		$TMPL['error_title'] = '';
		$TMPL['error_style_title'] = '';
		$TMPL['error_captcha'] = '';
		$TMPL['error_style_captcha'] = '';
		$TMPL['error_top'] = '';
		$TMPL['error_style_top'] = '';

		if(!isset($FORM['submit'])) {$this->form();}
		else {$this->process();}
	}

	function form() {
		global $CONF, $DB, $LNG, $TMPL;

		if (!isset($TMPL['url'])) {
			$row = $DB->fetch("SELECT * FROM {$CONF['sql_prefix']}_sites WHERE username = '{$TMPL['username']}'", __FILE__, __LINE__);
			$TMPL = array_merge($TMPL, $row);

			// Pending URL and title changes
			$result = $DB->query("SELECT url, title FROM {$CONF['sql_prefix']}_sites_edited WHERE username = '{$TMPL['username']}'", __FILE__, __LINE__);
			if ($DB->num_rows($result)) {
				list($TMPL['url'], $TMPL['title']) = $DB->fetch_array($result);
			}
		} else {
			if (isset($TMPL['url'])) { $TMPL['url'] = stripslashes($TMPL['url']); }
			if (isset($TMPL['title'])) { $TMPL['title'] = stripslashes($TMPL['title']); }
			if (isset($TMPL['description'])) { $TMPL['description'] = stripslashes($TMPL['description']); }
			if (isset($TMPL['category'])) { $TMPL['category'] = stripslashes($TMPL['category']); }
			if (isset($TMPL['email'])) { $TMPL['email'] = stripslashes($TMPL['email']); }
			if (isset($TMPL['twitter'])) { $TMPL['twitter'] = stripslashes($TMPL['twitter']); }
			if (isset($TMPL['facebook'])) { $TMPL['facebook'] = stripslashes($TMPL['facebook']); }
		}



		$TMPL['categories_menu'] = "<select name=\"category\">\n";
		foreach ($CONF['categories'] as $cat) {
			if ($TMPL['category'] == $cat) {
				$TMPL['categories_menu'] .= "<option value=\"{$cat}\" selected=\"selected\">{$cat}</option>\n";
			} else {
				$TMPL['categories_menu'] .= "<option value=\"{$cat}\">{$cat}</option>\n";
			}
		}
		$TMPL['categories_menu'] .= "</select>";

		$TMPL['url'] = htmlspecialchars($TMPL['url']);
		$TMPL['title'] = htmlspecialchars($TMPL['title']);
		$TMPL['description'] = htmlspecialchars($TMPL['description']);
		$TMPL['email'] = htmlspecialchars($TMPL['email']);
		$TMPL['twitter'] = htmlspecialchars($TMPL['twitter']);
		$TMPL['facebook'] = htmlspecialchars($TMPL['facebook']);
		
		$result = $DB->query("SELECT `id`, `value` FROM {$CONF['sql_prefix']}_titles", __FILE__, __LINE__);
		$blocked = explode(',', $TMPL['blocked']);
		$selected = ''; if($blocked){if(in_array('0',$blocked)){$selected=' selected';}}
		$TMPL['blocked'] = '<option value="0"'.$selected.'>Toate</option>';
		while($row = $DB->fetch_array($result)) {
			$selected = ''; if($blocked){if(in_array($row['id'],$blocked)){$selected=' selected';}}
			$TMPL['blocked'] .= "<option value=\"{$row['id']}\"{$selected}>{$row['value']}</option>";
		}

		$TMPL['user_cp_content'] = $this->do_skin('edit_form');
	}

	function process() {
		global $CONF, $DB, $FORM, $LNG, $TMPL;
		$TMPL['url'] = $DB->escape($FORM['url'], 1);
		$TMPL['title'] = $DB->escape($FORM['title'], 1);
		$TMPL['description'] = $DB->escape($FORM['description'], 1);
		$TMPL['category'] = $DB->escape($FORM['category'], 1);
		$TMPL['email'] = $DB->escape($FORM['email'], 1);
		$TMPL['twitter'] = $DB->escape($FORM['twitter'], 1);
		$TMPL['facebook'] = $DB->escape($FORM['facebook'], 1);
		$TMPL['title'] = $this->bad_words($TMPL['title']);
		$TMPL['description'] = $this->bad_words($TMPL['description']);

		if ($this->check_ban('edit')) {
			if ($this->check_input('edit')) {
				if ($FORM['password']) {
					$password = md5($FORM['password']);
					$password_sql = ", password = '{$password}'";
				} else {$password_sql = '';}

				// Update everything but URL and title
				$short_url = $this->short_url($TMPL['url']);
				$TMPL['blocked'] = isset($FORM['blocked'])?implode(',', $FORM['blocked']):'';
				$DB->query("UPDATE {$CONF['sql_prefix']}_sites SET url = '{$TMPL['url']}', short_url = '{$short_url}', title = '{$TMPL['title']}', description = '{$TMPL['description']}', category = '{$TMPL['category']}', email = '{$TMPL['email']}', twitter = '{$TMPL['twitter']}', facebook = '{$TMPL['facebook']}', blocked = '{$TMPL['blocked']}'{$password_sql} WHERE username = '{$TMPL['username']}'", __FILE__, __LINE__);

			 // Update URL and title; send to admin for approval if necessary
				$TMPL['edit_delay'] = '';
				if ($CONF['active_default']) {
					$DB->query("DELETE FROM {$CONF['sql_prefix']}_sites_edited WHERE username = '{$TMPL['username']}'", __FILE__, __LINE__);
					$DB->query("UPDATE {$CONF['sql_prefix']}_sites SET url = '{$TMPL['url']}', title = '{$TMPL['title']}' WHERE username = '{$TMPL['username']}'", __FILE__, __LINE__);
				} else {
					list($url, $title) = $DB->fetch("SELECT url, title FROM {$CONF['sql_prefix']}_sites WHERE username = '{$TMPL['username']}'", __FILE__, __LINE__);
					if ($url != $TMPL['url'] || $title != $TMPL['title']) {
						$DB->query("DELETE FROM {$CONF['sql_prefix']}_sites_edited WHERE username = '{$TMPL['username']}'", __FILE__, __LINE__);
						$DB->query("INSERT INTO {$CONF['sql_prefix']}_sites_edited (username, url, title) VALUES ('{$TMPL['username']}', '{$TMPL['url']}', '{$TMPL['title']}')", __FILE__, __LINE__);

						$TMPL['edit_delay'] = $LNG['edit_delay'];
					}
				}

				$TMPL['user_cp_content'] = $this->do_skin('edit_finish');
			} else {$this->form();}
		} else {$this->form();}
	}
}

?>

